#ifndef __VECTOR_H
#define __VECTOR_H

#include "point.h"

class CVector
{
 private:
   int mX, mY, mZ;
   static int counter;
 public:   
   CVector(int x = 0, int y = 0, int z = 0);
   CVector(CPoint p1, CPoint p2);
   CVector(CVector & vect);
   ~CVector();
   void show();
   int getCounter(void);
   void getXYZ(int & x, int & y, int & z);

   CVector * add(int x, int y, int z);
   CVector * add(CVector & vect);

   CVector * sub(int x, int y, int z);
   CVector * sub(CVector & vect);

   int mul(int x, int y, int z);
   int mul(CVector & vect);

   double len(void);
};

#endif
